id: CVE-2025-28228

info:
  name: Electrolink FM/DAB/TV Transmitter - Credentials Disclosure
  author: DhiyaneshDk
  severity: high
  description: |
    A credential exposure vulnerability in Electrolink 500W, 1kW, 2kW Medium DAB Transmitter Web v01.09, v01.08, v01.07, and Display v1.4, v1.2 allows unauthorized attackers to access credentials in plaintext.
  reference:
    - https://github.com/shiky8/my--cve-vulnerability-research/tree/main/CVE-2025-28228
  classification:
    cvss-metrics: CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N
    cvss-score: 7.5
    cve-id: CVE-2025-28228
    cwe-id: CWE-522
    epss-score: 0.00042
    epss-percentile: 0.12139
  metadata:
    verified: true
    max-request: 1
    shodan-query: http.title:"Electrolink"
  tags: cve,cve2025,electrolink,info-leak

http:
  - method: GET
    path:
      - "{{BaseURL}}/controlloLogin.js"

    matchers-condition: and
    matchers:
      - type: word
        part: body
        words:
          - "user=='guest'"
          - "password=='guest'"
        condition: and

      - type: status
        status:
          - 200
# digest: 4a0a00473045022100a852702c48e5973cd134d2a7a1dcb47b688cb82b0aaf8daea258610bf45c985202202342aaefcf07920a34321f7326b25e612ad9c3c50fd75a12b918d288baa37e87:922c64590222798bb761d5b6d8e72950